## pim-data-exporter 25.08.1+p24.04+vstable+git20251001.0108

=== debian/changelog ===
pim-data-exporter (4:25.08.1+p24.04+vstable+git20251001.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:08:30 +0000

pim-data-exporter (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:22:19 +0000
