## pim-data-exporter 25.08.1+p24.04+vstable+git20251001.0622

=== debian/changelog ===
pim-data-exporter (4:25.08.1+p24.04+vstable+git20251001.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:22:54 +0000
