## pim-data-exporter 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(pim-data-exporter VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 set(KF_MIN_VERSION "6.14.0")
 # Update it for each release
-set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -89,13 +89,13 @@
     )
 endif()
 
-set(AKONADI_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
+set(AKONADI_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
 
-set(MAILCOMMON_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(MAILCOMMON_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 # Find KF6 package
