## pim-data-exporter 25.08.2+p24.04+vstable+git20251015.2023

=== debian/changelog ===
pim-data-exporter (4:25.08.2+p24.04+vstable+git20251015.2023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:23:30 +0000
