## pim-data-exporter 25.12.0+p24.04+vstable+git20251221.0107

=== debian/changelog ===
pim-data-exporter (4:25.12.0+p24.04+vstable+git20251221.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 01:07:31 +0000

pim-data-exporter (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:45 +1000

pim-data-exporter (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:30 +1000
