## pim-data-exporter 25.12.0+p24.04+vstable+git20260105.1006

=== debian/changelog ===
pim-data-exporter (4:25.12.0+p24.04+vstable+git20260105.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:06:23 +0000
